package com.kernelmaft.zanbur

import androidx.compose.runtime.MutableState
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.setValue


object AppState {
	val groups : MutableState < List <Group> > = mutableStateOf ( emptyList () )

	fun setCurrentScene ( groupId : Int , currentScene : Scene ) {
		var groups by this . groups
		groups = groups . map {
			if ( it . id == groupId ) it . copy ( currentScene = currentScene )
			else it
		}
	}
}
